<?php
// View.php
include('core/base/View.php');

/** 
 * The Parent class for all DeedViews.
 *
 */
class DeedView extends View
{
	/**
	 * Constructor.
	 *
	 * @access public
	 */
	function DeedView(& $timer, & $deed_model)
	{
		global $__CS;
		$__CS->EnterMethod("DeedView");
		$__CS->SendObject($timer,"StopWatch");
		$__CS->SendObject($deed_model,"DeedModel");
		
		// instantiate parent class
		parent::View(& $timer, & $deed_model);
		
		// Set all template variables
		$this->addToPageTitle("Deeds");
		// Top main menu selection
		$this->tpl->assign("toolslinkclass","mainmenulinkon");
		
		$__CS->ExitMethod("DeedView");
	}
	
	/**
	 *
	 */
	function init()
	{
		// Set submenu links
		$this->tpl->assign( "submenu",
					array(
							array( 	"name" 	=> "Members",
									"class" => "submenuoff",
									"href"	=> $this->makeActionLink(__MEMBER,__MEMBER_SEARCH)),
							array( 	"name"	=> "Deeds",
									"class"	=> "submenuon",
									"href"	=> $this->makeActionLink(__DEED,__DEED_SEARCH)),
							array(  "name"	=> "Responsibilities",
									"class" => "submenuoff",
									"href"  => $this->makeActionLink(__RESPON,__RESPON_SEARCH))
						  )
						   );
	}
	
	/**
	 *
	 */
	function getBreadcrumbs()
	{
		return "<a href=".__SITE_BASE_URL."index.php?".__MODULE."=deeds>Deeds</a>";
	}

}
?>